import React, { useState, useEffect } from 'react'
import { PageContainer } from '@ant-design/pro-layout';
import { Button, Card, Divider, notification } from 'antd';
import request from '@/utils/request';
import RoleForm from './components/Form'

export default (props) => {
  const { id } = props.location.query;
  const [loading, setLoading] = useState(false);
  const [role, setRole] = useState({});
  
  const handleFormChange = (newRole) => {
    setRole(newRole);
  };
  
  useEffect(() => {
    if (id) {
      setLoading(true);
      request(`/role/${id}`)
        .then((res) => {
          setRole(res);
          setLoading(false);
        })
        .catch((e) => {
          setLoading(false);
          notification.error({ message: e.message });
        });
    }
  }, [id]);

  return (
    <PageContainer>
      <Card style={{ width: '100%' }} loading={loading}>
        <RoleForm role={role} onChange={handleFormChange} />
      </Card>

      <Card title="授权菜单" style={{ width: '100%', marginTop: '2em' }}>
        
      </Card>
    </PageContainer>
  )
}
